# Generated by Django 4.2.6 on 2023-11-05 19:45

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Cambios',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('Descripcion', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Citas',
            fields=[
                ('Numero', models.IntegerField(primary_key=True, serialize=False, unique=True)),
                ('Fecha', models.DateField()),
                ('Hora', models.CharField(max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Cliente',
            fields=[
                ('Numero', models.IntegerField(primary_key=True, serialize=False, unique=True)),
                ('Nombre', models.CharField(max_length=50)),
                ('NumTel', models.CharField(max_length=15)),
                ('ContNomPila', models.CharField(max_length=30)),
                ('ContPrimApell', models.CharField(max_length=30)),
                ('ContSegApell', models.CharField(blank=True, max_length=30)),
                ('Usuario', models.CharField(blank=True, max_length=60)),
                ('Contraseña', models.CharField(blank=True, max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Maquinas',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('Descripcion', models.CharField(blank=True, max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Marcas',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('Nombre', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='TipoMaquinas',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('Nombre', models.CharField(max_length=30)),
                ('Descripcion', models.CharField(max_length=100)),
            ],
        ),
        migrations.AlterField(
            model_name='tecnico',
            name='NomPila',
            field=models.CharField(max_length=30),
        ),
        migrations.CreateModel(
            name='Servicios',
            fields=[
                ('Numero', models.IntegerField(primary_key=True, serialize=False, unique=True)),
                ('Descripcion', models.CharField(max_length=200)),
                ('Cita', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.citas')),
                ('Maquina', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.maquinas')),
            ],
        ),
        migrations.CreateModel(
            name='ServCambio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Cantidad', models.IntegerField()),
                ('Cambio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.cambios')),
                ('Servicio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.servicios')),
            ],
        ),
        migrations.CreateModel(
            name='Modelos',
            fields=[
                ('Codigo', models.CharField(max_length=5, primary_key=True, serialize=False, unique=True)),
                ('Nombre', models.CharField(max_length=30)),
                ('Año', models.IntegerField(null=True)),
                ('Marca', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.marcas')),
            ],
        ),
        migrations.AddField(
            model_name='maquinas',
            name='Marca',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.marcas'),
        ),
        migrations.AddField(
            model_name='maquinas',
            name='Modelo',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.modelos'),
        ),
        migrations.AddField(
            model_name='maquinas',
            name='Tipo_Maquina',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.tipomaquinas'),
        ),
        migrations.AddField(
            model_name='citas',
            name='Cliente',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.cliente'),
        ),
        migrations.AddField(
            model_name='citas',
            name='Tecnico',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.tecnico'),
        ),
    ]
